Please upgrade your browser for the best possible experience.

Chrome Firefox Internet Explorer
×

"Launcher is being updated. Please wait"

STAR WARS: The Old Republic > English > General Discussion
"Launcher is being updated. Please wait"
First BioWare Post First BioWare Post

AlrikFassbauer's Avatar


AlrikFassbauer
08.16.2017 , 11:45 AM | #261
The worst thing is, imho, that the Launcher's settings file overwrote my settings file I had for my German-language installation.

Means that this workaround was never tested with the other two official SWTOR languages.

Well, at least they did manage to produce this workaround, but they seemingly assumed that everyone has a *fast* connection nowadays - which is almost like assuming that everyone who plays SWTOR is a hardcore gamer.

I did not dare to replace the settings file, because I assumed that the settings therein are part of the workaround.
It is so much smaller than the settings file i had before, however.
Complex minds
will create
Complex problems.

AlrikFassbauer's Avatar


AlrikFassbauer
08.16.2017 , 03:06 PM | #262
Okay, as I had already feared, the whole game was downloaded anew due to the Launcher overwriting my original settings. I can't even play right now, because none of my characters is on a starter world, and so every character is greyed out, so to say.

I'm thinking of replacing the settings file with my backup,
but for now I'm done. 2 days wasted.

I don't remember anymore when my play time card runs out, but I most likely won't renew my subscription until I've bought myself a new PC with Windows 7, and that will take time.

Only sad that I can't inform the people in my guild of that.
Complex minds
will create
Complex problems.

AlrikFassbauer's Avatar


AlrikFassbauer
08.17.2017 , 07:57 AM | #263
Okay, I replaced the current Launcher settings file with my settings file I had before the Workaround.
Now it runs.
Complex minds
will create
Complex problems.

SNy-lotrolinux's Avatar


SNy-lotrolinux
08.17.2017 , 11:46 AM | #264
Quote: Originally Posted by AlrikFassbauer View Post
DURING the whole patching process, the menu en try "Settings" in the Launcher is greyed out : Therefore I cannot change the language therefore the game downloads everything in English language, as it seems.
I must say I am bit baffled. When I said "check the settings file" I meant file as in FILE, not some setting in some GUI program, especially if it's greyed out.
You could have, you know, stopped the process, checked the FILE for the language, changed the language in the FILE and restarted. A bit strange to speak of "two wasted days" when it is apparently PEBKAC at work.

SNy

AlrikFassbauer's Avatar


AlrikFassbauer
08.17.2017 , 12:09 PM | #265
I do know, but I was just curious as to where this process might lead to. It was kind of an research project as well, to be able to tell others what happens, so I might be able to write an update and a guide over the whole process (especially since that yellow post never reached the German-language SWTOR forums, not even in translated form).

What I'm a bit astonished about is rather that changing the settings file was not in the yellow post in the first place.
Complex minds
will create
Complex problems.

Thraxantulus's Avatar


Thraxantulus
08.19.2017 , 11:05 AM | #266
Well, I was able to upgrade from Vista to Win 7 (a long and horrid tale), reinstalled swtor, copied character/game settings into new install, and all is working fine now.

I'm amazed my ancient abacus actually runs Win 7 and runs it well. At any rate, for those unable to do this upgrade, luck to you.

Verain's Avatar


Verain
08.21.2017 , 01:33 AM | #267
Fedora pushed wine-staging 2.14 to available tonight. I grabbed it, and deleted the "skip_self_patch" line in launcher.settings. Upon launch, the launcher predictably updated itself... and then it worked, and I was able to log into the game.

This means that wine-staging 2.14 has SNy-lotrolinux's patch to add support for the extra certificate types. I didn't have to change the claimed version of Windows (still XP) or any other thing, and am now running the newest version of the launcher. This is fantastic! Thanks all.

PlayOnLinux also has 2.14-staging available. I'm not sure about all the other variants. But if you don't have it, you will soon, and then you can be on the new launcher well before the October deadline.
"The most despicable person on the GSF forum."

Gannellon's Avatar


Gannellon
08.24.2017 , 12:28 PM | #268
Just a note, if anyone is having certificate issues with the latest patch under Wine, what worked for me:
- WindowsXP set
- wine 2.14-staging

The old launcher is not working at all. I tried switching to Windows 7 and latest stable wine (2.15) but was unable to go past cert validation. XP + 2.14-staging was the first combination that worked for me.